curl --request GET \
--url https://api.baselayer.com/employee_verification_requests/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/employee_verification_requests/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/employee_verification_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"state": "PENDING",
"person_name": "<string>",
"business_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"business_address": "<string>",
"alternative_names": [
"<string>"
],
"verified": true,
"role_title": "<string>",
"department": "<string>",
"evidence_summary": "<string>",
"contact": {
"email": "<string>",
"phone": "<string>"
},
"socials": [
{
"platform": "linked_in:personal",
"url": "<string>"
}
],
"miscellaneous_links": [
{
"label": "<string>",
"url": "<string>"
}
],
"sources": [
{
"url": "<string>",
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Employee Verification Request By Id
Retrieve an employee verification request by ID.
Authorizations
Path Parameters
The unique identifier of the employee verification request.
"febd65cd-3050-4707-a2ea-0a9ab84e5ea1"
Response
Successful Response
ID of the employee verification request.
When the request was created.
Current state of the request.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED Full name of the person being verified.
Name of the business being checked.
When the request was last updated.
Business address provided for disambiguation.
Alternative names provided for the business.
Whether the person was verified as an employee.
Job title or role, if discovered.
Department, if discovered.
Summary of evidence found.
Contact information discovered for the person.
Show child attributes
Show child attributes
Social media profiles discovered for the person.
Show child attributes
Show child attributes
Other web links found for the person (e.g. GitHub, personal site).
Show child attributes
Show child attributes
Sources consulted during verification.
Show child attributes
Show child attributes